<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersichtAndererVeranstalter\KursDetails;

class KursDetailsUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\KursDetailsUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSUEBERSICHT_ANDERER_VERANSTALTER_VA;
  }

  public static function getToolSectionId()
  {
    return 640;
  }

  protected function getButtons()
  {
    $buttonsObj = new \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\KurseAndererVeranstalterReiterButtons($this, $this->request, $this->response);

    return $buttonsObj->getButtons();
  }

  
  protected function getDatumVomLetztenKurstag()
  {
    $dbwKurseTage = new \DBWorkKurseTageWT(1, true);
    $dbwKurseTage->newSearch();
    $dbwKurseTage->toobject->datum = \DateTimeOperations::getDateNow();
    $kursTage = $dbwKurseTage->getKurstagebyKursNR($this->request->knr, -1, true);
    $result = \DateTimeOperations::getDateNow();
    if (count($kursTage) > 0) {
      $result = $kursTage[count($kursTage) - 1]->datum;
    }

    return $result;
  }

  protected function getBackLink()
  {
    return 'index.php?tool_id=54&action=kursuebersicht';
  }

  protected function getBackButtonLabel()
  {
    return 'Zurück zur Übersicht';
  }
}